<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/2_3/jw303/schema"
	>

	<!-- iJw 2.3 CS328 version 1.4.10 (2019-04-04) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS328"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS328"/>
	</xsl:template>

	<xsl:template match="jw303:ProductPeriode/ijw:Begindatum" mode="CS328">
		<xsl:if test="translate(text(), '-', '') &lt; 20150101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS328</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
