<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/2_3/jw303/schema"
>

    <!-- iJw 2.3 TR319 version 1.4.10 (2019-04-04) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR319"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR319"/>
    </xsl:template>

    <xsl:template match="jw303:Prestatie" mode="TR319">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::jw303:Bericht/jw303:Header/jw303:DeclaratieFactuurIdentificatie/ijw:DeclaratiePeriode/ijw:Einddatum"/>
            <xsl:with-param name="pOther" select="jw303:ProductPeriode/ijw:Begindatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::jw303:Bericht/jw303:Header/jw303:DeclaratieFactuurIdentificatie/ijw:DeclaratiePeriode/ijw:Einddatum"/>
            <xsl:with-param name="pOther" select="jw303:ProductPeriode/ijw:Einddatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
