<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
                xmlns:jw301="http://www.istandaarden.nl/ijw/2_3/jw301/schema">
    <!-- iJw 2.3 CD034 version 1.4.10 (2019-04-04) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD034"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD034"/>
    </xsl:template>

    <xsl:template match="jw301:Contact" mode="CD034">
        <xsl:call-template name="checkimplication">
            <xsl:with-param name="pThis" select="jw301:Soort"/>
            <xsl:with-param name="pValue1">01,03</xsl:with-param>
            <xsl:with-param name="pOther" select="jw301:Adres/ijw:Postcode"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD034</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
