<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/2_3/jw303/schema"
    		    xmlns:jw304="http://www.istandaarden.nl/ijw/2_3/jw304/schema"
		    >

    <!-- iJw 2.3 CD061 version 1.4.10 (2019-04-04) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD061"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD061"/>
    </xsl:template>

    <xsl:template match="jw303:IngediendeBedragPrestatie | jw304:IngediendeBedragPrestatie" mode="CD061">
        <xsl:call-template name="checksame">
            <xsl:with-param name="pThis" select="ijw:ProductTarief"/>
            <xsl:with-param name="pValue1">*</xsl:with-param>
            <xsl:with-param name="pOther" select="ijw:BerekendBedrag"/>
            <xsl:with-param name="pValue2">#</xsl:with-param>
            <xsl:with-param name="pRule">CD061</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
