<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
                xmlns:jw315="http://www.istandaarden.nl/ijw/2_3/jw315/schema">

    <!-- iJw 2.3 CS317 version 1.4.10 (2019-04-04) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS317"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS317"/>
    </xsl:template>

    <xsl:template match="jw315:Verwijzer/ijw:Type" mode="CS317">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">07</xsl:with-param>
            <xsl:with-param name="pRule">CS317</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
