<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/2_3/basisschema/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/2_3/jw304/schema"
	>

	<!-- iJw 2.3 CS324 version 1.4.10 (2019-04-04) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS324"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS324"/>
	</xsl:template>

	<xsl:template match="jw304:DeclaratieFactuurIdentificatie/ijw:FactuurDagtekening" mode="CS324">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="../../jw304:RetourHeader/ijw:RetourDagtekening"/>
			<xsl:with-param name="pRule">CS324</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
